document.addEventListener("DOMContentLoaded", function() {
    if (localStorage.getItem("dark-mode") === "true") {
        document.body.classList.add("dark-mode");
        document.getElementById('theme-icon').classList.remove('fa-moon');
        document.getElementById('theme-icon').classList.add('fa-sun');
    } else {
        document.getElementById('theme-icon').classList.remove('fa-sun');
        document.getElementById('theme-icon').classList.add('fa-moon');
    }

    document.addEventListener("click", function(event) {
        const settingsMenu = document.getElementById('settings-menu');
        if (!settingsMenu.contains(event.target) && !event.target.closest('.icon-button')) {
            settingsMenu.classList.remove('visible');
        }
    });
});

function toggleDarkMode() {
    document.body.classList.toggle("dark-mode");
    const themeIcon = document.getElementById('theme-icon');
    if (document.body.classList.contains("dark-mode")) {
        localStorage.setItem("dark-mode", "true");
        themeIcon.classList.remove('fa-moon');
        themeIcon.classList.add('fa-sun');
    } else {
        localStorage.setItem("dark-mode", "false");
        themeIcon.classList.remove('fa-sun');
        themeIcon.classList.add('fa-moon');
    }
}

function toggleGroup(group) {
    const groupElement = document.getElementById(group);
    groupElement.classList.toggle("collapsed");
}

function toggleSettings() {
    const settingsMenu = document.getElementById('settings-menu');
    settingsMenu.classList.toggle('visible');
}

function refreshData() {
    location.reload();
}

